// Imports
@use "variables" as var;

// Variables
$grid-header-height: 64px;
$grid-row-width: 913px;
$grid-h-gap: 24px;
$grid-v-gap: 8px;

// Actual Styling
:host {
  display: block;
  background-color: var(--background-alt-grey);
  margin: -14px -15px;

  @media (min-width: var.$breakpoint-desktop) {
    margin: -38px -31px -30px;
  }
}

#reports-list-top-bar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 12px var.$default-padding;
  height: 56px;
  background-color: var(--background-default-grey);
  border-bottom: thin solid var(--border-default-grey);

  @media (min-width: var.$breakpoint-desktop) {
    padding-right: 64px;
  }

  .right-menu-container {
    display: none;

    @media (min-width: var.$breakpoint-desktop) {
      display: flex;
    }
  }

  #filters-results-wrapper {
    display: flex;
    align-items: center;
    height: 100%;

    .separator {
      width: 1px;
      height: 100%;
      background-color: var(--border-default-grey);
      margin: 0 var.$default-margin;
    }

    #reports-list-results {
      font-size: 14px;
      color: black;
    }
  }

  .mobile-contextual-menu-trigger {
    display: block;

    @media (min-width: var.$breakpoint-desktop) {
      display: none;
    }
  }
}

#reports-list-content {
  position: relative;
  height: calc(
          100vh - #{var.$header-desktop-height + var.$default-padding + 40px + 56px}
  );
  overflow: scroll;
  padding: var.$default-padding var.$default-padding 64px;

  @media (min-width: var.$breakpoint-desktop) {
    padding: 0 var.$default-padding 48px;
  }

  .reports-list-row {
    display: grid;
    grid-template-columns: 100%;
    column-gap: $grid-h-gap;
    row-gap: 12px;
    padding: 0 $grid-h-gap;
    margin: auto;

    @media (min-width: var.$breakpoint-desktop) {
      grid-template-columns: 200px 150px 290px 153px;
      width: $grid-row-width;
    }

    &.report-city {
      grid-area: report-city;
    }

    &.report-status {
      grid-area: report-status;
    }

    &.report-operators {
      grid-area: report-operators;
    }
  }

  .reports-list-cell {
    display: flex;
    align-items: center;
    font-size: 14px;
    color: var(--light-text-default-grey, #3a3a3a);
  }

  #reports-list-header {
    position: sticky;
    top: 0;
    height: $grid-header-height;
    background-color: var(--background-alt-grey);
    display: none;

    @media (min-width: var.$breakpoint-desktop) {
      display: grid;
    }

    div {
      color: var(--light-text-mention-grey, #666);
    }
  }

  .report-detail {
    border-radius: 4px;
    background: var(--light-background-default-grey, #fff);
    margin-bottom: $grid-v-gap;
    padding: var.$default-padding;
    box-shadow: var(--overlap-shadow);
    cursor: pointer;

    @media (min-width: var.$breakpoint-desktop) {
      border: 1px solid var(--light-border-default-grey, #ddd);
      height: 48px;
      padding: 0 $grid-h-gap;
      box-shadow: unset;

      &.active {
        border: 2px solid var(--border-default-blue-france);
      }

      &.disabled {
        opacity: 0.3;
        cursor: not-allowed;
      }
    }

    .reports-list-cell:last-child {
      display: none;

      @media (min-width: var.$breakpoint-desktop) {
        display: flex;
      }
    }

    dsfr-tag {
      margin-right: 8px;

      &:last-child {
        margin: 0;
      }
    }
  }

  #more-reports-button {
    width: 100%;
    max-width: 560px;
    margin: 24px auto 0;

    dsfr-button {
      --dsfr-button-width: 100%;
    }
  }
}
